mode: rule
mixed-port: 7890
allow-lan: false
bind-address: '*'
log-level: info
ipv6: false
profile:
  store-selected: true
  store-fake-ip: true
sniffer:
  enable: true
  override-destination: true
  sniff:
    HTTP:
      ports:
      - 80
      - 8080-8880
    TLS:
      ports:
      - 443
      - 8443
    QUIC:
      ports:
      - 443
      - 8443
dns:
  enable: true
  ipv6: false
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  nameserver:
  - https://1.1.1.1/dns-query
  - https://8.8.8.8/dns-query
  fallback:
  - https://dns.google/dns-query
  - https://cloudflare-dns.com/dns-query
  fallback-filter:
    geoip: true
    geoip-code: CN
proxies:
- name: NAS-HY2
  type: hysteria2
  server: leo97033nas.synology.me
  port: 18444
  password: E218science
  sni: leo97033nas.synology.me
  alpn:
  - h3
  skip-cert-verify: false
- name: NAS-WAN
  type: http
  server: leo97033nas.synology.me
  port: 18443
  username: NQU
  password: E218science
  tls: true
  skip-cert-verify: false
  sni: leo97033nas.synology.me
proxy-groups:
- name: PROXY
  type: select
  proxies:
  - NAS-HY2
  - NAS-WAN
  - DIRECT
- name: YOUTUBE
  type: select
  proxies:
  - PROXY
  - DIRECT
- name: VRCHAT
  type: select
  proxies:
  - DIRECT
  - PROXY
- name: CN
  type: select
  proxies:
  - DIRECT
  - PROXY
rules:
- DOMAIN,localhost,DIRECT
- DST-PORT,7670,DIRECT
- DST-PORT,9090,DIRECT
- DOMAIN-SUFFIX,youtube.com,YOUTUBE
- DOMAIN-SUFFIX,youtu.be,YOUTUBE
- DOMAIN-SUFFIX,googlevideo.com,YOUTUBE
- DOMAIN-SUFFIX,ytimg.com,YOUTUBE
- DOMAIN-SUFFIX,googleapis.com,YOUTUBE
- DOMAIN-SUFFIX,gvt1.com,YOUTUBE
- DOMAIN-SUFFIX,gvt2.com,YOUTUBE
- DOMAIN-SUFFIX,ggpht.com,YOUTUBE
- DOMAIN-SUFFIX,googleusercontent.com,YOUTUBE
- PROCESS-NAME,VRChat.exe,VRCHAT
- PROCESS-NAME,VRChat,VRCHAT
- GEOIP,CN,CN
- DOMAIN-SUFFIX,bilibili.com,CN
- DOMAIN-SUFFIX,hdslb.com,CN
- DOMAIN-SUFFIX,baidu.com,CN
- DOMAIN-SUFFIX,qq.com,CN
- DOMAIN-SUFFIX,wechat.com,CN
- DOMAIN-SUFFIX,taobao.com,CN
- DOMAIN-SUFFIX,tmall.com,CN
- DOMAIN-SUFFIX,aliyun.com,CN
- DOMAIN-SUFFIX,myqcloud.com,CN
- IP-CIDR,10.0.0.0/8,DIRECT,no-resolve
- IP-CIDR,172.16.0.0/12,DIRECT,no-resolve
- IP-CIDR,192.168.0.0/16,DIRECT,no-resolve
- IP-CIDR,127.0.0.0/8,DIRECT,no-resolve
- MATCH,PROXY
